<!--
  Generated template for the SelectedprofilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->

<ion-content padding class="wrap-all">
	<div class="back-icon-container">
      <button class="back-icon" (click)="backButton()"></button>
  </div>
  <div class="profile-content-container">
    <div class="profile-info-outer-container">
      <div class="profile-info-middle-container"></div>
      <div class="profile-info-inner-container">
        <div class="profile-picture-container">
          <img-loader class="profile-picture" src="{{ usersCred.photoURL }}" imageViewer="{{ usersCred.photoURL }}" useImg></img-loader>
        </div>
        <div class="profile-info-name-container">
          <p class="profile-info-name">{{ usersCred.displayName }}</p>
        </div>
        <div class="profile-info-status-container">
          <div class="status-icon"></div>
          <p class="profile-status">{{ usersCred.status }}</p>
        </div>
      </div>
    </div>
  </div>

  <div *ngIf="isFriends" class="unfriend-btn-container">
    <button ion-button round block outline color="dark" (click)="unfriend()" class="unfriend-btn">Unfriend This Person</button>
  </div>
  <div *ngIf="!isFriends && !requestSent && !requestReceive" class="add-friend-btn-container">
    <button ion-button round block outline color="dark" (click)="addFriend()" class="add-fren-btn">Add Friend</button>
  </div>
  <div *ngIf="requestSent" class="cancel-sent-request-btn-container">
    <button ion-button round block outline color="dark" (click)="cancelRequest()" class="cancel-sent-request-btn">Cancel Friend Request</button>
  </div>
  <div *ngIf="requestReceive" class="accept-decline-btn-container">
    <button ion-button block class="accept-btn" (click)="acceptRequest()">Accept Request</button>
    <button ion-button block class="decline-btn" (click)="declineRequest()">Decline Request</button>
  </div>

</ion-content>
